INTERFACE
SUBROUTINE VDFDPBLS(KIDIA,KFDIA,KLON,KLEV,&
 & PTM1,PQM1,PGEOM1,PKMFL,PKHFL,PKQFL,PDHPBL) 
USE PARKIND1 ,ONLY : JPIM, JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PTM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PKMFL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PKHFL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PKQFL(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDHPBL(KLON)
END SUBROUTINE VDFDPBLS
END INTERFACE
